package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapRencanaKonsultasiVO extends MedicalRecordTransactionVO{
	@Column(name = "tglJawaban", nullable = true )
	@Caption(value="Tanggal Jawaban")
	private Date tglJawaban;

	@ManyToOne
	@JoinColumn(name = "ObjectDokterPemberiJawabanFk")
	@Caption(value="Dokter Pemberi jawaban")
	private PegawaiVO pegawai;
	
	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}


	@Column(name = "ObjectDokterPemberiJawabanFk", insertable=false,updatable=false,nullable=true)
	private Integer pegawaiId;



	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}


	@Column(name = "saran", nullable = true )
	@Caption(value="saran")
	private String saran;
	
	@Column(name = "hasilPeriksa", nullable = true )
	@Caption(value="hasilPeriksa")
	private String hasilPeriksa;

	public Date getTglJawaban() {
		return tglJawaban;
	}

	public void setTglJawaban(Date tglJawaban) {
		this.tglJawaban = tglJawaban;
	}

	public String getSaran() {
		return saran;
	}

	public void setSaran(String saran) {
		this.saran = saran;
	}

	public String getHasilPeriksa() {
		return hasilPeriksa;
	}

	public void setHasilPeriksa(String hasilPeriksa) {
		this.hasilPeriksa = hasilPeriksa;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value="Object Ruangan")
	private RuanganVO ruangan;
	@Column(name = "ObjectRuanganFk", insertable=false,updatable=false)
	private Integer ruanganId;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;
	
	
	@NotNull(message = "Mohon Konsultasi tidak boleh kosong")
	private String mohonKonsultasi;

	@ManyToOne
	@NotNull(message = "Mohon Konsultasi tidak boleh kosong")
	private KasusPenyakitVO papSpesialis;

	@NotNull(message = "Tgl Konsultasi tidak boleh kosong")
	@Column(name = "tglKonsultasi", nullable = false)
	@Caption(value = "Tgl Konsultasi")
	private Date tglKonsultasi;
	
	@NotNull(message = "Ikhtiar Klinik tidak boleh kosong")
	@Column(name = "ikhtiarKlinik", nullable = false)
	@Caption(value = "Ikhtiar Klinik")
	private String ikhtiarKlinik;

	
	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public String getMohonKonsultasi() {
		return mohonKonsultasi;
	}

	public void setMohonKonsultasi(String mohonKonsultasi) {
		this.mohonKonsultasi = mohonKonsultasi;
	}

	public KasusPenyakitVO getPapSpesialis() {
		return papSpesialis;
	}

	public void setPapSpesialis(KasusPenyakitVO papSpesialis) {
		this.papSpesialis = papSpesialis;
	}

	public Date getTglKonsultasi() {
		return tglKonsultasi;
	}

	public void setTglKonsultasi(Date tglKonsultasi) {
		this.tglKonsultasi = tglKonsultasi;
	}

	public String getIkhtiarKlinik() {
		return ikhtiarKlinik;
	}

	public void setIkhtiarKlinik(String ikhtiarKlinik) {
		this.ikhtiarKlinik = ikhtiarKlinik;
	}

}
